Summary:	Console jabber client
Name:		mcabber
Version:	1.0.5
Release:	%mkrel 1
License:	GPLv2+
Group:		Networking/Instant messaging
URL:		http://www.lilotux.net/~mikael/mcabber/
Source:		http://www.lilotux.net/~mikael/mcabber/files/mcabber-%{version}.tar.bz2
Patch0: 	mcabber-1.0.5_CVE-2017-5604.patch
BuildRequires: pkgconfig(enchant)
BuildRequires: pkgconfig(glib-2.0) >= 2.14.0
BuildRequires: pkgconfig(libidn) >= 0.0.0
BuildRequires: pkgconfig(libotr) >= 3.1.0
BuildRequires: pkgconfig(loudmouth-1.0) >= 1.4.2
BuildRequires: ncursesw-devel
BuildRequires: libgcrypt-devel >= 1.2.2
BuildRequires: gpgme-devel

%description
Mcabber is a small jabber console client which supports SSL support, history
logging, external actions and more.

%prep
%setup -q
%autopatch -p1

%build
autoreconf -fi
%configure2_5x --disable-dependency-tracking --enable-enchant --enable-otr
%make

%install
%makeinstall_std

find %{buildroot} -name '*.la' -delete

rm -fr %{buildroot}%{_libdir}/pkgconfig/mcabber.pc %{buildroot}%{_includedir}

%files
%doc AUTHORS ChangeLog NEWS README TODO
%doc mcabberrc.example contrib 
%{_mandir}/man1/mcabber.1*
%{_bindir}/mcabber
%{_datadir}/%{name}
%{_libdir}/mcabber/libbeep.so
%{_libdir}/mcabber/libxttitle.so
%{_libdir}/mcabber/libfifo.so
%{_libdir}/mcabber/liburlregex.so


%changelog
* Mon Feb 13 2017 mrambo3501 <mrambo3501> 1.0.5-1.mga6
+ Revision: 1086042
- version 1.0.5 fixes CVE-2017-5589
- added patch which fixes CVE-2017-5604

* Thu Dec 08 2016 mrambo3501 <mrambo3501> 1.0.4-1.mga6
+ Revision: 1073260
- updated version to 1.0.4
  fixes roster push attack security issue (mga #19858 no CVE assigned)

* Sat Feb 06 2016 umeabot <umeabot> 0.10.1-10.mga6
+ Revision: 941389
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.10.1-9.mga5
+ Revision: 742505
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.10.1-8.mga5
+ Revision: 682312
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.10.1-7.mga4
+ Revision: 523476
- Mageia 4 Mass Rebuild

* Sat May 04 2013 pterjan <pterjan> 0.10.1-6.mga3
+ Revision: 412330
- Add missing buildrequires on gpgme
- Add experimental otr4 patch and fix for AM_CONFIG_HEADER

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

  + shikamaru <shikamaru>
    - rebuild for libotr

  + fwang <fwang>
    - covert br into pkgconfig style
    - drop devel stuff

* Sat Apr 23 2011 shikamaru <shikamaru> 0.10.1-2.mga1
+ Revision: 89876
- bump release, kill buildroot
- imported package mcabber

